FindSimilarRequest Class

Request body for find similar operation.

All required parameters must be populated in order to send to Azure.

Inheritance
FindSimilarRequest

Constructor

FindSimilarRequest(*, face_id: str, face_list_id: Optional[str] = None, large_face_list_id: Optional[str] = None, face_ids=None, max_num_of_candidates_returned: int = 20, mode='matchPerson', **kwargs)

Parameters

face_id
str
Required

Required. FaceId of the query face. User needs to call Face - Detect first to get a valid faceId. Note that this faceId is not persisted and will expire at the time specified by faceIdTimeToLive after the detection call

face_list_id
str
Required

An existing user-specified unique candidate face list, created in Face List - Create a Face List. Face list contains a set of persistedFaceIds which are persisted and will never expire. Parameter faceListId, largeFaceListId and faceIds should not be provided at the same time.

large_face_list_id
str
Required

An existing user-specified unique candidate large face list, created in LargeFaceList - Create. Large face list contains a set of persistedFaceIds which are persisted and will never expire. Parameter faceListId, largeFaceListId and faceIds should not be provided at the same time.

face_ids
list[str]
Required

An array of candidate faceIds. All of them are created by Face - Detect and the faceIds will expire at the time specified by faceIdTimeToLive after the detection call. The number of faceIds is limited to 1000. Parameter faceListId, largeFaceListId and faceIds should not be provided at the same time.

max_num_of_candidates_returned
int
Required

The number of top similar faces returned. The valid range is [1, 1000]. Default value: 20 .

mode
str or FindSimilarMatchMode
Required

Similar face searching mode. It can be "matchPerson" or "matchFace". Possible values include: 'matchPerson', 'matchFace'. Default value: "matchPerson" .